Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Class DataChannelDescriptor

    java.lang.Object
      org.apache.cayenne.configuration.DataChannelDescriptor

All Implemented Interfaces:
  Serializable, ConfigurationNode, XMLSerializable

    public class DataChannelDescriptor

extends Object
implements ConfigurationNode, Serializable, XMLSerializable

A descriptor of a DataChannel normally loaded from XML configuration.

Since:
  3.1
See Also:
  Serialized Form

Field Summary
`protected Resource` | `configurationSource`
`protected Collection<DataMap>` | `dataMaps`
`protected String` | `defaultNodeName`
`protected String` | `name`
`protected Collection<DataNodeDescriptor>` | `nodeDescriptors`
`protected Map<String,String>` | `properties`

Constructor Summary
`DataChannelDescriptor()`

Method Summary
`
`<T> T`
` | `acceptVisitor(ConfigurationNodeVisitor<T> visitor)`
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Resource` | `getConfigurationSource()`
`DataMap` | `getDataMap(String name)`
`Collection<DataMap>` | `getDataMaps()`
`String` | `getDefaultNodeName()` Returns the name of the DataNode that should be used as the default if a DataMap is not explicitly linked to a node.
`String` | `getName()`
`DataNodeDescriptor` | `getNodeDescriptor(String name)`
`Collection<DataNodeDescriptor>` | `getNodeDescriptors()`
`Map<String,String>` | `getProperties()`
`void` | `setConfigurationSource(Resource configurationSource)`
`void` | `setDefaultNodeName(String defaultDataNodeName)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### properties

    protected Map<String,String> properties

### dataMaps

    protected Collection<DataMap> dataMaps

### nodeDescriptors

    protected Collection<DataNodeDescriptor> nodeDescriptors

### configurationSource

    protected Resource configurationSource

### defaultNodeName

    protected String defaultNodeName

Constructor Detail

### DataChannelDescriptor

    public DataChannelDescriptor()

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### acceptVisitor

    public <T> T acceptVisitor(ConfigurationNodeVisitor<T> visitor)

  Specified by:
    `acceptVisitor` in interface `ConfigurationNode`

### getName

    public String getName()

### setName

    public void setName(String name)

### getProperties

    public Map<String,String> getProperties()

### getDataMaps

    public Collection<DataMap> getDataMaps()

### getDataMap

    public DataMap getDataMap(String name)

### getNodeDescriptors

    public Collection<DataNodeDescriptor> getNodeDescriptors()

### getNodeDescriptor

    public DataNodeDescriptor getNodeDescriptor(String name)

### getConfigurationSource

    public Resource getConfigurationSource()

### setConfigurationSource

    public void setConfigurationSource(Resource configurationSource)

### getDefaultNodeName

    public String getDefaultNodeName()

  Returns the name of the DataNode that should be used as the default if a DataMap is not explicitly linked to a node.

### setDefaultNodeName

    public void setDefaultNodeName(String defaultDataNodeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.